move tools from toolchain/ to tools/
[openwrt-10.03/.git] / tools / sed / sedcheck.sh
diff --git a/tools/sed/sedcheck.sh b/tools/sed/sedcheck.sh
new file mode 100755 (executable)
index 0000000..de15ac2
--- /dev/null
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+if [ -x /usr/bin/sed ]; then 
+    SED="/usr/bin/sed";
+else
+    if [ -x /bin/sed ]; then 
+       SED="/bin/sed";
+    fi;
+fi;
+
+echo "HELLO" > .sedtest
+$SED -i -e "s/HELLO/GOODBYE/" .sedtest >/dev/null 2>&1
+
+case "$1" in
+       *)
+               if [ $? != 0 ] ; then
+                       echo build-sed-host-binary
+               else
+                       echo use-sed-host-binary
+               fi;
+       ;;
+esac
+rm -f .sedtest
+
+